- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DefaultSolver Class Reference

The Defalut Solver Class. More...

`#include <OSDefaultSolver.h>`

Inheritance diagram for DefaultSolver:

[legend]
Collaboration diagram for DefaultSolver:

[legend]
List of all members.

## Public Member Functions
virtual void | solve ()=0
| solve is a virtual function -- the actual solvers will implement their own solve method
virtual void | buildSolverInstance ()=0
| buildSolverInstance is a virtual function -- the actual solvers will implement their own solve method -- the solver instance is the instance the individual solver sees in its api
virtual void | setSolverOptions ()=0
| setSolverOptions is a virtual function -- the actual solvers will implement their own setSolverOptions method -- the solver instance is the instance the individual solver sees in its api
| DefaultSolver ()
| default constructor.
virtual | ~DefaultSolver ()=0
| default destructor.
## Public Attributes
std::string | osil
| osil holds the problem instance as a std::string
std::string | osol
| osol holds the options for the solver
std::string | osrl
| osrl holds the solution or result of the model
OSInstance * | osinstance
| osinstance holds the problem instance in-memory as an OSInstance object
OSResult * | osresult
| osresult holds the solution or result of the model in-memory as an OSResult object
OSOption * | osoption
| osoption holds the solver options in-memory as an OSOption object
std::string | insList
| osinsList holds the solution or result of the model
std::string | sSolverName
| sSolverName is the name of the Coin solver used, e.g.
bool | bCallbuildSolverInstance
| bCallbuildSolverInstance is set to true if buildSolverService has been called
bool | bSetSolverOptions
| bSetSolverOptions is set to true if setSolverOptions has been called, false otherwise

## Detailed Description

The Defalut Solver Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Definition at line 37 of file OSDefaultSolver.h.

## Constructor & Destructor Documentation

DefaultSolver::DefaultSolver | ( |  | ) |

default constructor.

Definition at line 25 of file OSDefaultSolver.cpp.

DefaultSolver::~DefaultSolver | ( |  | ) | `[pure virtual]`

default destructor.

Definition at line 42 of file OSDefaultSolver.cpp.

## Member Function Documentation

virtual void DefaultSolver::solve | ( |  | ) | `[pure virtual]`

solve is a virtual function -- the actual solvers will implement their own solve method

Implemented in BonminSolver, CoinSolver, CouenneSolver, IpoptSolver, KnitroSolver, and LindoSolver.

Referenced by buildSolver(), OS_DipInterface::generateInitialMaster(), main(), and OSMatlab::solve().

virtual void DefaultSolver::buildSolverInstance | ( |  | ) | `[pure virtual]`

buildSolverInstance is a virtual function -- the actual solvers will implement their own solve method -- the solver instance is the instance the individual solver sees in its api

Implemented in BonminSolver, CoinSolver, CouenneSolver, IpoptSolver, KnitroSolver, and LindoSolver.

Referenced by buildSolver(), and main().

virtual void DefaultSolver::setSolverOptions | ( |  | ) | `[pure virtual]`

setSolverOptions is a virtual function -- the actual solvers will implement their own setSolverOptions method -- the solver instance is the instance the individual solver sees in its api

Implemented in BonminSolver, CoinSolver, CouenneSolver, IpoptSolver, KnitroSolver, and LindoSolver.

Referenced by buildSolver(), and main().

## Member Data Documentation

std::string DefaultSolver::osil

osil holds the problem instance as a std::string

Definition at line 44 of file OSDefaultSolver.h.

Referenced by LindoSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), main(), and KnitroSolver::solve().

std::string DefaultSolver::osol

osol holds the options for the solver

Definition at line 47 of file OSDefaultSolver.h.

Referenced by buildSolver(), main(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), CoinSolver::setSolverOptions(), BonminSolver::setSolverOptions(), OSMatlab::solve(), and CouenneSolver::solve().

std::string DefaultSolver::osrl

osrl holds the solution or result of the model

Definition at line 51 of file OSDefaultSolver.h.

Referenced by buildSolver(), LindoSolver::buildSolverInstance(), KnitroSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), LindoSolver::generateLindoModel(), CoinSolver::getCoinSolverType(), main(), LindoSolver::optimize(), LindoSolver::processConstraints(), LindoSolver::processNonlinearExpressions(), LindoSolver::processQuadraticTerms(), LindoSolver::processVariables(), CoinSolver::setCoinPackedMatrix(), LindoSolver::setSolverOptions(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), BonminSolver::setSolverOptions(), OSMatlab::solve(), LindoSolver::solve(), KnitroSolver::solve(), IpoptSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), OSDipBlockCoinSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

OSInstance* DefaultSolver::osinstance

osinstance holds the problem instance in-memory as an OSInstance object

Definition at line 55 of file OSDefaultSolver.h.

Referenced by buildSolver(), LindoSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), LindoSolver::dataEchoCheck(), KnitroSolver::dataEchoCheck(), IpoptSolver::dataEchoCheck(), CoinSolver::dataEchoCheck(), BonminSolver::dataEchoCheck(), OS_DipInterface::generateInitialMaster(), LindoSolver::generateLindoModel(), main(), LindoSolver::optimize(), OSDipBlockCoinSolver::OSDipBlockCoinSolver(), LindoSolver::processConstraints(), LindoSolver::processNonlinearExpressions(), LindoSolver::processQuadraticTerms(), LindoSolver::processVariables(), CoinSolver::setCoinPackedMatrix(), IpoptSolver::setSolverOptions(), CoinSolver::setSolverOptions(), OSMatlab::solve(), KnitroSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), OSColGenApp::solveRestrictedMasterRelaxation(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

OSResult* DefaultSolver::osresult

osresult holds the solution or result of the model in-memory as an OSResult object

Definition at line 59 of file OSDefaultSolver.h.

Referenced by BonminSolver::BonminSolver(), LindoSolver::buildSolverInstance(), KnitroSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), CouenneSolver::CouenneSolver(), OS_DipInterface::generateInitialMaster(), LindoSolver::generateLindoModel(), CoinSolver::getCoinSolverType(), IpoptSolver::IpoptSolver(), KnitroSolver::KnitroSolver(), main(), LindoSolver::optimize(), LindoSolver::processConstraints(), LindoSolver::processNonlinearExpressions(), LindoSolver::processQuadraticTerms(), LindoSolver::processVariables(), CoinSolver::setCoinPackedMatrix(), LindoSolver::setSolverOptions(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), BonminSolver::setSolverOptions(), LindoSolver::solve(), KnitroSolver::solve(), IpoptSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), OSDipBlockCoinSolver::solve(), OSColGenApp::solveRestrictedMasterRelaxation(), CouenneSolver::writeResult(), CoinSolver::writeResult(), BonminSolver::writeResult(), BonminSolver::~BonminSolver(), CoinSolver::~CoinSolver(), CouenneSolver::~CouenneSolver(), IpoptSolver::~IpoptSolver(), KnitroSolver::~KnitroSolver(), and LindoSolver::~LindoSolver().

OSOption* DefaultSolver::osoption

osoption holds the solver options in-memory as an OSOption object

Definition at line 64 of file OSDefaultSolver.h.

Referenced by IpoptSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), OS_DipInterface::generateInitialMaster(), main(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), CoinSolver::setSolverOptions(), BonminSolver::setSolverOptions(), CouenneSolver::solve(), and OSColGenApp::solveRestrictedMasterRelaxation().

std::string DefaultSolver::insList

osinsList holds the solution or result of the model

Definition at line 67 of file OSDefaultSolver.h.

Referenced by LindoSolver::processNonlinearExpressions().

std::string DefaultSolver::sSolverName

sSolverName is the name of the Coin solver used, e.g.

glpk, or clp

Definition at line 74 of file OSDefaultSolver.h.

Referenced by buildSolver(), CoinSolver::buildSolverInstance(), OS_DipInterface::generateInitialMaster(), main(), OSDipBlockCoinSolver::OSDipBlockCoinSolver(), CoinSolver::setSolverOptions(), OSMatlab::solve(), CoinSolver::solve(), OSColGenApp::solveRestrictedMasterRelaxation(), and CoinSolver::writeResult().

bool DefaultSolver::bCallbuildSolverInstance

bCallbuildSolverInstance is set to true if buildSolverService has been called

Definition at line 81 of file OSDefaultSolver.h.

Referenced by LindoSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), and BonminSolver::buildSolverInstance().

bool DefaultSolver::bSetSolverOptions

bSetSolverOptions is set to true if setSolverOptions has been called, false otherwise

Definition at line 88 of file OSDefaultSolver.h.

Referenced by IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), CoinSolver::setSolverOptions(), and BonminSolver::setSolverOptions().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSDefaultSolver.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSDefaultSolver.cpp